slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetTolerances

Gets the tolerance and maximum iteration count used by the NEP convergence tests.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetTolerances(NEP nep,PetscReal *tol,PetscInt *maxits)

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameters

| tol | - the convergence tolerance
| maxits | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

### See Also

NEPSetTolerances()

### Level

intermediate

### Location

src/nep/interface/nepopts.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex42.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages